# 88. Мутация: Експортиране на ZonesMap като архивиран Shapefile

Генерирайте zip архив със селектирания "ZonesMap" като shapefile.

{% hint style="info" %}
Архивът се състои от \*.shp, \*.shx, \*.prj, \*.dbf файлове в EPSG:4326.
{% endhint %}

### 1. Подготовка

* Атрибутът `vectorAnalysisMaps` съдържа масив от обекти ZonesMaps (VectorAnalysisMaps), които да бъдат експортирани. Всеки такъв обект включва чифт от `fieldUuid` (връзка към избраното поле) и `uuid` (връзка към избрания ZonesMap).
* Булевият атрибут `asMultiGeometry` определя дали зоните да се експортират като `Многоъгълници (Polygons)` или `Мулти-многоъгълници (MultiPolygons)` (когато е зададено на `true` ).
* Булевият атрибут `onlyProductColumns` указва дали само колоните с продукти (RX) да бъдат включени в shapefile-а (когато `true`). В противен случай всички статистически атрибути и ID-та на зоните ще бъдат включени като колони.
* Атрибутът `archiveName` съдържа името на генерирания zip архив.
* Атрибутът `filePostfix` позволява добавяне на потребителски постфикси към експортираните файлове и архива.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Сваляне на генерирания архив

След изпълнение на GraphQL заявката, е възможно да го изтеглите чрез `curl` или подобен подход.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/88.-mutaciya-eksportirane-na-zonesmap-kato-arkhiviran-shapefile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
